/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Categoria;
import com.rjconsultores.ventaboletos.entidad.TarifaCategoria;
import java.math.BigDecimal;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author rodrigo
 */
public class RenderTarifaCategoria implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TarifaCategoria tarifaCategoria = (TarifaCategoria) o;

        Listcell lc = null;
        Categoria categoria = tarifaCategoria.getCategoria();
        if (categoria != null) {
            lc = new Listcell(categoria.getDesccategoria());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        BigDecimal precio = tarifaCategoria.getPrecio();
        if (precio != null) {
            lc = new Listcell(precio.setScale(2).toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        BigDecimal precioAbierto = tarifaCategoria.getPrecioredabierto();
        if (precioAbierto != null) {
            lc = new Listcell(precioAbierto.setScale(2).toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", tarifaCategoria);
    }
}
